<?php

namespace App\Http\Requests\Payments;

use App\Http\Requests\ApiFormRequest;

class PaymentNotificationSendRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'parent_id' => ['nullable', 'integer', 'min:1'],
            'type' => ['nullable', 'string', 'max:50'],
            'force' => ['nullable', 'boolean'],
            'school_year' => ['nullable', 'string', 'max:50'],
        ];
    }
}
